I HATE APPLE

Message Bookmarked
Bookmark Removed
Not all messages are displayed: show all messages (10750 of them)

tom -- i'll try that when i get home. That is interesting. At home, I have the firewall set to "allow all connections," but here (where it works), it's set to "allow only specific," and of course web server is on that list.

kenan, Thursday, 3 January 2008 23:27 (eighteen years ago)

hm. well, that was no go. the ipfw says it allows any to any, just like on my work machine. I reset the firewall to allow only certain programs, made sure web server was on that list, and nothing. No localhost, no damn apache.

kenan, Saturday, 5 January 2008 02:11 (eighteen years ago)

What does it say in error_log? Apache's usually pretty good about complaining in there.

stet, Saturday, 5 January 2008 02:16 (eighteen years ago)

hm, where is that? There doesn't seem to be any /var/log/httpd or /var/log/apache2

kenan, Saturday, 5 January 2008 02:22 (eighteen years ago)

ah ha... because it's not there.

my system log, however, is filled with primarily this message:

Jan  4 20:48:01 Hatter org.apache.httpd[1087]: Unable to open logs

Jan 4 20:48:01 Hatter com.apple.launchd[1] (org.apache.httpd[1087]): Exited with exit code: 1
Jan 4 20:48:01 Hatter com.apple.launchd[1] (org.apache.httpd): Throttling respawn: Will start in 10 seconds
Jan 4 20:48:11 Hatter org.apache.httpd[1096]: (2)No such file or directory: httpd: could not open error log file /private/var/log/apache2/error_log.
Jan 4 20:48:11 Hatter org.apache.httpd[1096]: Unable to open logs
Jan 4 20:48:11 Hatter com.apple.launchd[1] (org.apache.httpd[1096]): Exited with exit code: 1
Jan 4 20:48:11 Hatter com.apple.launchd[1] (org.apache.httpd): Throttling respawn: Will start in 10 seconds

over and over again, every ten seconds, forever and ever ago.

kenan, Saturday, 5 January 2008 02:50 (eighteen years ago)

rebuild permissions

El Tomboto, Saturday, 5 January 2008 02:51 (eighteen years ago)

er, "repair" permissions

El Tomboto, Saturday, 5 January 2008 02:51 (eighteen years ago)

I told kenan to nose around in console.app DAYS ago

Catsupppppppppppppp dude 茄蕃, Saturday, 5 January 2008 02:58 (eighteen years ago)

ok... not a whole lot of output from that (I repair permissions pretty regularly), but almost all of it was "has been modified and was not repaired," mostly is the system library, with one "ACL found but not expected" in applications. I normally wouldn't think that was cause for alarm. Anyway, after that was done I started apachectl and went back to the system log... same shit.

kenan, Saturday, 5 January 2008 03:05 (eighteen years ago)

mostly IN the system library

kenan, Saturday, 5 January 2008 03:05 (eighteen years ago)

yeah, so I nosed around the logs finally, but why do I not even HAVE an apache2 directory in the log directory? It's certainly looking for it.

kenan, Saturday, 5 January 2008 03:07 (eighteen years ago)

mkdirhier /private/var/log/apache2/

Catsupppppppppppppp dude 茄蕃, Saturday, 5 January 2008 03:36 (eighteen years ago)

I was wondering that, if I could just make the directory. I'll give it a shot.

But meanwhile, fuck it. It's nice to have two computers. I installed lampp on my linux machine in five minutes, and it's up and working and positively spry. I'm not going to get any more jangled than I am over the mac thing. Besides, ubuntu has been nothing but good to me for a couple months, the backup program I run seems to work great, and I have mad space on this machine. May as well go ahead and use it as more than just a torrent station.

kenan, Saturday, 5 January 2008 03:39 (eighteen years ago)


% cat `which mkdirhier`
#!/bin/sh
mkdir -p "$@"

libcrypt, Saturday, 5 January 2008 03:54 (eighteen years ago)

or that

Catsupppppppppppppp dude 茄蕃, Saturday, 5 January 2008 03:55 (eighteen years ago)

$ cat `which mkdirhier`
#!/bin/sh
# $Xorg: mkdirhier.sh,v 1.3 2000/08/17 19:41:53 cpqbld Exp $
# Courtesy of Paul Eggert

newline='
'
IFS=$newline

case ${1--} in
-*) echo >&2 "mkdirhier: usage: mkdirhier directory ..."; exit 1
esac

status=

for directory
do
case $directory in
'')
echo >&2 "mkdirhier: empty directory name"
status=1
continue;;
*"$newline"*)
echo >&2 "mkdirhier: directory name contains a newline: \`\`$directory''"
status=1
continue;;
///*) prefix=/;; # See Posix 2.3 "path".
//*) prefix=//;;
/*) prefix=/;;
-*) prefix=./;;
*) prefix=
esac

IFS=/
set x $directory
case $2 in
*/*) # IFS parsing is broken
IFS=' '
set x `echo $directory | tr / ' '`
;;
esac
IFS=$newline
shift

for filename
do
path=$prefix$filename
prefix=$path/
shift

test -d "$path" || {
paths=$path
for filename
do
if [ -n "$filename" -a "$filename" != "." ]; then
path=$path/$filename
paths=$paths$newline$path
fi
done

mkdir $paths || status=$?

break
}
done
done

exit $status

Catsupppppppppppppp dude 茄蕃, Saturday, 5 January 2008 03:56 (eighteen years ago)

then again, what are you doing using csh

Catsupppppppppppppp dude 茄蕃, Saturday, 5 January 2008 03:56 (eighteen years ago)

then again, what are you doing using csh

Making very bad jokes.

libcrypt, Saturday, 5 January 2008 04:00 (eighteen years ago)

HEY! Creating that directory worked. Will you look at that shit. Thanks all of you for your help.

kenan, Saturday, 5 January 2008 04:11 (eighteen years ago)

I believe I shall have to explain what I did to those OS X forum threads that remain clueless.

kenan, Saturday, 5 January 2008 04:11 (eighteen years ago)

wow, so apache user doesn't have the right permissions to mkdir in var

that's pretty locked down I guess

El Tomboto, Saturday, 5 January 2008 04:39 (eighteen years ago)

Attention time machine fans!

http://www.flickr.com/photos/wizardishungry/2181145041/

Catsupppppppppppppp dude 茄蕃, Thursday, 10 January 2008 00:23 (eighteen years ago)

safari set a new record for memory hogging last night. 800MB of RAM? WTF?

DG, Monday, 14 January 2008 15:48 (eighteen years ago)

HINT: "Virtual Memory" also includes disk cache, shared libraries and open files. RSIZE is what matters.

Catsupppppppppppppp dude 茄蕃, Monday, 14 January 2008 15:55 (eighteen years ago)

that was the RSIZE

DG, Monday, 14 January 2008 15:58 (eighteen years ago)

itunes also gets up to like 450MB just playing tracks

DG, Monday, 14 January 2008 15:59 (eighteen years ago)

unbelievable

DG, Monday, 14 January 2008 19:42 (eighteen years ago)

All right, I'm starting to get sick of a little something here -- am ripping some discs and about every sixth disc or so, iTunes will contact the CDDB as per usual and then refuse to display the disc anywhere, and neither will the desktop or Finder window. I end up having to fully restart the computer, at which time the disc will appear on the desktop with the appropriate CDDB info. Any way I can get the disc to appear on the desktop/in iTunes properly without having to go through a full restart?

Ned Raggett, Wednesday, 16 January 2008 05:13 (eighteen years ago)

lol let me know when that drive starts making buzzing sounds on spinup
depending on your avg weekly rip volume it sounds like you could be 6 mos out from a replacement part

El Tomboto, Wednesday, 16 January 2008 05:16 (eighteen years ago)

Conceivably. As I'm thinking of ripping a hell of a lot more, I'd be just as happy to get some sort of external drive recommendation.

Ned Raggett, Wednesday, 16 January 2008 05:17 (eighteen years ago)

(As for buzzing sounds on spinup, oh it happens from time to time all right...should note that the drive's under a year old, replacement for the original after it seized up with a DVD in it -- still have AppleCare on the whole thing for another year and a half, happily.)

Ned Raggett, Wednesday, 16 January 2008 05:19 (eighteen years ago)

since yesterday's update safari seems to have settled down a bit, it only wants 300MB today :(

DG, Wednesday, 16 January 2008 15:09 (eighteen years ago)

and have you tried cache cleaner yet?

dan selzer, Wednesday, 16 January 2008 15:19 (eighteen years ago)

ah thanks for teh reminder!

DG, Wednesday, 16 January 2008 15:34 (eighteen years ago)

the system info box on that says I have a 486! that's encouraging

DG, Wednesday, 16 January 2008 15:39 (eighteen years ago)

WTF?!

grimly fiendish, Wednesday, 16 January 2008 15:46 (eighteen years ago)

for reals

DG, Wednesday, 16 January 2008 16:01 (eighteen years ago)

oh and while i'm at it 10.5.2 had better fix the itunes artwork screensaver :(

DG, Wednesday, 16 January 2008 16:05 (eighteen years ago)

two weeks pass...

ok i did something stupid - a few weeks ago i had to delete something from my keychain (a wifi password that had changed), and that proved so easy that i thought i'd delete a couple more things too. unfortunately it seems like i deleted *everything*. this seems to mean that every time i launch mail, safari, ichat etc (although not firefox, for some reason) i have to type my login password, which is pretty annoying. i've tried keychain first aid, both verify and repair, and neither seem to do anything. what should i do?

toby, Friday, 1 February 2008 17:06 (eighteen years ago)

smash.

The Cursed Return of the Dastardly Thermo Thinwall, Friday, 1 February 2008 17:18 (eighteen years ago)

delete the "login" keychain, create a new one with exactly the same password as your user account.

stet, Friday, 1 February 2008 17:18 (eighteen years ago)

I haven't even worked out what keychain is for yet.

I have another dumb question - my iMac won't connect to the internet if I use Safari, or try and do a Software Update, yet Firefox works totally fine. I can't see anywhere in Safari menus to configure anything about how to connect. Any idea what the problem could be?

Colonel Poo, Friday, 1 February 2008 17:18 (eighteen years ago)

ismash

The Cursed Return of the Dastardly Thermo Thinwall, Friday, 1 February 2008 17:21 (eighteen years ago)

what does safari say? does pinging google work?

stet, Friday, 1 February 2008 17:23 (eighteen years ago)

I just get Page Cannot Be Displayed or whatever.

But if I use Firefox, it works. I guess the Software Update uses the same connection config that Safari is using because that won't work either, I get some server error on that.

Colonel Poo, Friday, 1 February 2008 17:25 (eighteen years ago)

delete the "login" keychain, create a new one with exactly the same password as your user account.

awesome! thanks a ton, that's been driving me crazy.

toby, Friday, 1 February 2008 17:34 (eighteen years ago)

Well whatever is in the "or whatever" is kinda the clue to fixing it! What happens when you type ping google.com into the terminal?

stet, Friday, 1 February 2008 18:35 (eighteen years ago)

well firefox is working so I imagine he'll be able to ping stuff

i bet it's a proxy setting

Tracer Hand, Friday, 1 February 2008 18:43 (eighteen years ago)

just spent $120 on a new macbook battery yesterday :/

J0rdan S., Friday, 1 February 2008 18:44 (eighteen years ago)

that's what I'm betting too, but I wanted to check it wasn't *just* Firefox that had the proxy settings. This happens at my uni. xp

stet, Friday, 1 February 2008 18:44 (eighteen years ago)


You must be logged in to post. Please either login here, or if you are not registered, you may register here.